let
  sources = import ../nix/sources.nix;

  pkgs = import sources.nixpkgs { };
  lib = pkgs.lib;
in
lib.mapAttrs
  (hostname: options: {
    inherit hostname;
    target =
      if lib.hasAttr "target" options
      then options.target
      else "root@${hostname}";
  })
{
  nunotaba = { };
  sayuri = { };
  vueko = {
    target = "root@vueko.sbruder.de";
  };
}
